Bug 487818 - (perl-Task-Catalyst) Review Request: perl-Task-Catalyst - All you need to start with Catalyst
Review Request: perl-Task-Catalyst - All you need to start with Catalyst
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
http://search.cpan.org/dist/Task-Cata...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-27 20:22 EST by Chris Weyl
Modified: 2009-03-01 03:17 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-01 03:17:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2009-02-27 20:22:41 EST
Spec URL: http://fedorapeople.org/~cweyl/review/perl-Task-Catalyst.spec
SRPM URL: http://fedorapeople.org/~cweyl/review/perl-Task-Catalyst-3.0000-1.fc10.src.rpm

Description:
This package ensures everything you need to write serious Catalyst
applications is installed.  Install this if you're interested in
developing Catalyst apps.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1207555

*rt-0.05
Comment 1 Parag AN(पराग) 2009-02-27 21:49:03 EST
Review:
+ package builds in mock (rawhide i386).
koji build=> http://koji.fedoraproject.org/koji/taskinfo?taskID=1207555
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
7a1dbc782dd2cc4e23c3ee0fde6e555f  Task-Catalyst-3.0000.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test outputs
All tests successful.
Files=3, Tests=3,  0 wallclock secs ( 0.02 usr  0.01 sys +  0.12 cusr  0.02 csys =  0.17 CPU)
+ Package  perl-Task-Catalyst-3.0000-1.fc11-noarch ->
  Provides: perl(Task::Catalyst) = 3.0000
  Requires: perl(strict) perl(warnings)

 APPROVED.
Comment 2 Chris Weyl 2009-02-28 01:03:36 EST
New Package CVS Request
=======================
Package Name: perl-Task-Catalyst
Short Description: All you need to start with Catalyst
Owners: cweyl
Branches: F-9 F-10 devel
InitialCC: perl-sig
Comment 3 Kevin Fenzi 2009-02-28 19:24:48 EST
cvs done.
Comment 4 Chris Weyl 2009-03-01 03:17:57 EST
Thanks for the review! :-)

Note You need to log in before you can comment on or make changes to this bug.